Package org.jbpm.bpmn2.core

## Class Signal

- java.lang.Object
- - org.jbpm.bpmn2.core.Signal

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `Error`, `Escalation`

      public class Signal
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Signal​(String id, String structureRef)` |
    `Signal​(String id, String name, String structureRef)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addIncomingNode​(org.kie.api.definition.process.Node node)` |
    `void` | `addOutgoingNode​(org.kie.api.definition.process.Node node)` |
    `String` | `getId()` |
    `Collection<org.kie.api.definition.process.Node>` | `getIncomingNodes()` |
    `String` | `getName()` |
    `Collection<org.kie.api.definition.process.Node>` | `getOutgoingNodes()` |
    `String` | `getStructureRef()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Signal

          public Signal​(String id,
                        String structureRef)

    - #### Signal

          public Signal​(String id,
                        String name,
                        String structureRef)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getStructureRef

          public String getStructureRef()

    - #### getName

          public String getName()

    - #### addIncomingNode

          public void addIncomingNode​(org.kie.api.definition.process.Node node)

    - #### addOutgoingNode

          public void addOutgoingNode​(org.kie.api.definition.process.Node node)

    - #### getIncomingNodes

          public Collection<org.kie.api.definition.process.Node> getIncomingNodes()

    - #### getOutgoingNodes

          public Collection<org.kie.api.definition.process.Node> getOutgoingNodes()